'use strict';
import React from 'react';
import SwiperComponent from '../../components/CommonComponent/SwiperComponent/SwiperComponent'
import { connect } from  'react-redux';
require('./index.css');
import DamageItem from '../../components/ReportDamageListComponent/DamageItemComponent/DamageItem'

class ReportDamagesListContainer extends React.Component{
    constructor(props){
        super(props)
    }
    render(){
        let arr = [1,2,3,4];
        let dom = arr.map((i,k)=>{
            return <DamageItem key={k}/>;
        });
        let swiperOptions = {
            width : 1396,
            spaceBetween: 30,
            freeMode:true,
            // slidesPerView: 2.6,
        };
        let swiperContainer = CONFIG.swiperContainers.damageSwiperContainer;
        let swiperCount = arr.length;
        return (
            <div className={"ReportDamagesListContainer"}>
                <div className={"damageTitleContainer"}>故障相关报损商品(非货架区)</div>
                <div className={"damageProductList clearfix"}>
                    <SwiperComponent
                        swiperContainer={swiperContainer} swiperOptions={swiperOptions} swiperCount={swiperCount}
                    >
                        {dom}
                    </SwiperComponent>

                </div>
                <div className={"opeationContainer clearfix"}>
                    <button className={"addMoreBtn"}><span>+</span>录入更多</button>
                    <button className={"noMoreBtn"}>没有更多</button>
                </div>

            </div>
        )
    }
}
function select(store) {
    return Object.assign({}, {state: store})
}